List the current user's repository rating reactions, ordered by update time descending.

Request

GET

https://api.sourcecraft.tech/me/repository-rating-reactions

Query parameters

Name

Description

page_size

Type: string<uint64>

The maximum number of reactions to return. The service may return fewer than this value.

Example: ``

page_token

Type: string

A page token received from a previous call. Reactions are always ordered by update time descending.

Example: ``

Responses

200 OK

A successful response.

Body

application/json
{
  "reactions": [
    {
      "repository": {
        "id": "example",
        "slug": "example",
        "organization": {
          "id": "example",
          "slug": "example"
        }
      },
      "reaction": {
        "type": "none",
        "updated_at": "2025-01-01T00:00:00Z"
      }
    }
  ],
  "next_page_token": "example"
}

Name

Description

next_page_token

Type: string

A token which can be sent as page_token to retrieve the next page.

Example: example

reactions

Type: MyRepositoryRatingReaction[]

Example
[
  {
    "repository": {
      "id": "example",
      "slug": "example",
      "organization": {
        "id": "example",
        "slug": "example"
      }
    },
    "reaction": {
      "type": "none",
      "updated_at": "2025-01-01T00:00:00Z"
    }
  }
]

OrganizationEmbedded

Name

Description

id

Type: string

Example: example

slug

Type: string

Example: example

Example
{
  "id": "example",
  "slug": "example"
}

RepositoryEmbedded

Name

Description

id

Type: string

Example: example

organization

Type: OrganizationEmbedded

Example
{
  "id": "example",
  "slug": "example"
}

slug

Type: string

Example: example

Example
{
  "id": "example",
  "slug": "example",
  "organization": {
    "id": "example",
    "slug": "example"
  }
}

RepositoryRatingReaction.Type

  • none: Remove the current user's rating reaction.
  • positive_low: A low positive rating reaction. Corresponds to Like in the SourceCraft interface.
  • positive_medium: A medium positive rating reaction. Corresponds to Heart in the SourceCraft interface.
  • positive_high: A high positive rating reaction. Corresponds to Diamond in the SourceCraft interface.

Type: string

Enum: none, positive_low, positive_medium, positive_high

RepositoryRatingReaction

A user's reaction that contributes to a repository rating.

Name

Description

type

Type: RepositoryRatingReaction.Type

  • none: Remove the current user's rating reaction.
  • positive_low: A low positive rating reaction. Corresponds to Like in the SourceCraft interface.
  • positive_medium: A medium positive rating reaction. Corresponds to Heart in the SourceCraft interface.
  • positive_high: A high positive rating reaction. Corresponds to Diamond in the SourceCraft interface.

Enum: none, positive_low, positive_medium, positive_high

updated_at

Type: string<date-time>

Example: 2025-01-01T00:00:00Z

Example
{
  "type": "none",
  "updated_at": "2025-01-01T00:00:00Z"
}

MyRepositoryRatingReaction

Name

Description

reaction

Type: RepositoryRatingReaction

A user's reaction that contributes to a repository rating.

Example
{
  "type": "none",
  "updated_at": "2025-01-01T00:00:00Z"
}

repository

Type: RepositoryEmbedded

Example
{
  "id": "example",
  "slug": "example",
  "organization": {
    "id": "example",
    "slug": "example"
  }
}
Example
{
  "repository": {
    "id": "example",
    "slug": "example",
    "organization": {
      "id": "example",
      "slug": "example"
    }
  },
  "reaction": {
    "type": "none",
    "updated_at": "2025-01-01T00:00:00Z"
  }
}

default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

Body

application/json
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": null
}

Name

Description

details

Type: unknown

Example: null

error_code

Type: string

Example: example

message

Type: string

Example: example

request_id

Type: string

Example: example